<template>
  <label
    class="checkbox"
    :class="(value || model) ? 'is-checked' : ''"
    :disabled="disabled"
    role="checkbox">
    <span class="checkbox_input">
      <span class="checkbox_inner"></span>
      <input
        type="checkbox"
        :checked="value"
        v-model="model"
        :disabled="disabled"
        @change="handleChange"
        class="checkbox_input-original">
    </span>
    <span class="checkbox_label"><slot></slot></span>
  </label>
</template>

<script>
  export default {
    name: "Checkbox",
    props: {
      value: {
        type: Boolean,
        default: false
      },
      disabled: {
        type: Boolean,
        default: false
      }
    },
    data() {
      return {
        model: false
      }
    },
    methods: {
      handleChange(e) {
        this.$emit('change', e.target.checked);
      }
    }
  }
</script>
